<div class="v2c-referral-handshake">
  <app-content-banner [isDashboard]="false" pageName="Refer Client(s)"></app-content-banner>
  <mat-card class="v2crh-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <app-v2c-agency-site-banner></app-v2c-agency-site-banner>
    </mat-card-header>
    <mat-card-content>
      <div class="example-small-box mat-elevation-z4" fxLayout="column">
        <div class="table-filters-header" fxLayout="column">
          <div fxLayout="row" fxLayoutAlign="start">
            <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
              <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">refresh
              </mat-icon>
              <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
            </div>
          </div>
        </div>
        <div class="example-container mat-elevation-z4">
          <ag-grid-angular
            #agGrid id="myGrid"
            style="width: 100%"
            class="ag-theme-balham my-grid"
            [columnDefs]="columnDefs"
            [defaultColDef]="defaultColDef"
            [rowData]="rowData"
            [context]="context"
            [rowSelection]="rowSelection"
            [suppressRowClickSelection]="true"
            [animateRows]="true"
            [gridOptions]="gridOptions"
            [pagination]="true"
            [paginationPageSize]="10"
            (firstDataRendered)="onFirstDataRendered($event)"
            (rowSelected)="onRowSelected($event)"
            [frameworkComponents]="frameworkComponents"
            (gridReady)="onGridReady($event)">
          </ag-grid-angular>
          <div fxLayout="row" class="grid-footer">
            <div class="paging-size-header" fxLayoutAlign="end" fxFlex="auto">
              Show&nbsp;&nbsp;
              <select [(ngModel)]="noOfRowCounter" (change)="onPageSizeChanged()">
                <option *ngFor="let size of pageSizes; index as i; last as isLast" value="{{size.pageSize}}">{{isLast ? 'All' : size.pageSize}}</option>
              </select>
              <span>&nbsp;&nbsp;Entries</span>
            </div>
          </div>
          <section class="bottom-btn" fxLayout="row">
            <div class="save-btn"><button type="button" routerLink="/vcs/vacancy-listing" mat-raised-button color="primary">Back</button></div>
            <div class="transmit-btn"><button type="button" (click)="getSelectedRows()" mat-raised-button color="primary">Proceed</button></div>
            <div class="clear-btn"><button type="button" routerLink="/vcs/vacancy-listing" mat-raised-button color="warn">Exit</button></div>
          </section>

        </div>
      </div>
    </mat-card-content>
  </mat-card>
</div>
